'use strict'
const CryptoJS = require('crypto-js');
const LocutusPHP = require('locutus/php');

module.exports = class PHP {

    static time () {
        return LocutusPHP.datetime.time();
    }

    static microtime(getAsFloat) {
        return LocutusPHP.datetime.microtime(getAsFloat);
    }

    static str_pad (input, padLength, padString, padType) {
        return LocutusPHP.strings.str_pad(input, padLength, padString, padType);
    }

    static dechex (number) {
        return LocutusPHP.math.dechex(number);
    }

    static hash(algo, string) {
        return CryptoJS[algo](string).toString(CryptoJS.enc.Hex);
    }

    static _phpCastString (value) {
        return LocutusPHP.strings._phpCastString(value);
    }

    static ini_get (varname) {
        return LocutusPHP.info.ini_get(varname);
    }

    static substr(input, start, len) {
        return LocutusPHP.strings.substr(input, start, len);
    }

    static is_int (mixedVar) {
        return LocutusPHP.var.is_int(mixedVar);
    }

    static is_double (mixedVar) {
        return LocutusPHP.var.is_double(mixedVar);
    }

    static is_float (mixedVar) {
        return LocutusPHP.var.is_float(mixedVar);
    }

    static is_array (mixedVar) {
        return LocutusPHP.var.is_array(mixedVar);
    }

    static array_sum(array = []) {
        return LocutusPHP.array.array_sum(array);
    }
}
